Jump to content

Archived

This topic is now archived and is closed to further replies.

X-Guardian

[SuSE] Topic Officiel

Recommended Posts

Tu veux parler de lucienmathieu ?

C'est bizarre, c'est pourtant quelqu'un de très débrouillard même si très touche à tout.

Tu entends quoi par mauvaise config ?

Share this post


Link to post
Share on other sites

bingo !

Un sources.list...mon dieu... Des apt-get update a foison sans meme comprendre comment ca marche. quant a gentoo, il avait des tas de probleme avec... En fait, je crois qu'il fait partie des pressés, ceux qui ne se documentent pas sur un sujet avant de se lancer. Sur linux, et plus particulierement Debian et Gentoo, c'est sans appel, a moins de vraiment bien connaitre le domaine, ce qui n'est pas son cas.

Share this post


Link to post
Share on other sites

notamment une installation de gentoo en copiant les fichiers directement depuis le CD au lieu d'utiliser les stage...

:D

jamais vu personne faire ça... m'étonne pas que ça déconne...

Share this post


Link to post
Share on other sites

Ok pour me faire pardonner, voici la mise à jour du tutoriel sur APT4RPM :

  1. Introduction :
    Apt4Rpm vous permettra de mettre facilement votre distribution à jour, ou d'installer quelques fonctionnalités supplémentaires (codecs, lecteurs, ...).
  2. Les prérequis :
    • Commencez tout d'abord pas faire un petit tout sur "http://linux01.gwdg.de/apt4rpm/"
      Vous trouverez toute la documentation et des aides sur APT4RPM.
    • Installez avec Yast quelques packages qui ne sont pas dans l'installation standard.
      • scrollkeeper
      • libzvt
      • cvs
      • docbook4

[*]Ensuite téléchargez le contenu du répertoire suivant la version de votre SuSE :

[*]Mettez le tout dans un répertoire.

[*]Installation d'APT4RPM :

Ouvrez une console et logez-vous en tant que Super Administrateur (root) avec la commande "su", puis taper dans le répertoire ou vous avez mis les fichiers téléchargés (Pour moi dans /home/X-Guardian/APT Installer) :

  • # cd /home/X-Guardian/APT Installer/
  • # rpm -Uvh *.rpm

Si vous avez un message d'erreur, c'est probablement qu'un package autre que ceux cités plus haut, n'est pas installé.

Si vous avez des dépenses remplacées la commande "rpm -Uvh *.rpm" par "rpm -Uvh *.rpm --nodeps".

Par exemple :

  • rpm -Uvh *.rpm
    warning: apt_0.5.15cnc6-0.suse091.rb.4_i586.rpm: V3 DSA signature: NOKEY, key ID 8c9b4b0d
    error: Failed dependencies:
    perl = 5.8.1 is needed by perl-HTML-Template-2.6-54
    perl = 5.8.1 is needed by perl-Parse-RecDescent-1.80-142
    perl = 5.8.1 is needed by perl-Text-Iconv-1.2-104
    libzvt2 is needed by synaptic-0.47-rb3
    scrollkeeper is needed by synaptic-0.47-rb3
    libzvt-2.0.so.0 is needed by synaptic-0.47-rb3
    docbook_4 is needed by xmlto-0.0.18-rb2

icon13.gif Chose très importante après l'installation des packages, aller dans Yast2, puis dans Installer et supprimer des logiciels et faite accepter. Cette manipulation permet supprimées les différentes dépenses qui pourraient survenir.

[*]Mise en place de la liste :

[*]Vérification des packages :

icon13.gif Cette partie du tutorial permet de supprimer la vérification de la signature numérique des packages.

  • Il vous faudra modifier le fichier "gpg-checker.conf : # vi /etc/apt/apt.conf.d/gpg-checker.conf
  • Modifiez la ligne "RPM::GPG-Check true;" par "RPM::GPG-Check false;" et enregistrez "echap, puis ":wq"
  • La modification de cette ligne entraine le fait que vous acceptiez le fait d'installer un logiciel qui n'a pas été signé numériquement. Mais nous en avons besoin de cette modification pour installer la plupart des packages fournis par la liste.
    Voilà pourquoi :
    • Checking GPG signatures...
      Unsigned /var/cache/apt/archives/libtheora_1.0alpha3-6.1_i586.rpm: sha1 md5 OK
      Unsigned /var/cache/apt/archives/xine-lib_0.99.rc5-4.1_i586.rpm: sha1 md5 OK
      E: Error(s) while checking package signatures:
      2 unsigned package(s)
      0 package(s) with unknown signatures
      0 package(s) with illegal/corrupted signatures

Sur certaines versions de APT4RPM, cette modification est déjà effectuée.

[*]Utilisation d'APT4RPM :

  • Voici les principales commandes d'apt :
    # apt-get update : Pour mettre à jour la base de donnée d'apt
    # apt-get upgrade : Pour mettre à jour les packages installés
    # apt-get install nom-du-package : Pour installer un package
    # apt-get -f install : Pour résoudre un problème de dépendance
    # ap-get dist-upgrade : Pour mettre à jour la distribution vers une plus récente, ou pour des modifications plus profondes (Par exemple, XFree sera remplacé par Xorg)
    # apt-cache search nom-du-package : Pour rechercher un package, une librairie, ...
  • Pour Plus d'info : # man apt ou man apt-get
  • Essayez un "apt-get install MPlayer xine-ui" pour avoir de quoi lire quelques DivX ou autres et un "apt-get upgrade" pour avoir le tout dernier KDE 3.2.2 par exemple.

[*]Utilisation de Synaptic :

À l'heure que je vous parle, Synaptic, l'interface graphique faite pour APT4RPM, fonctionne comme l'outil : installer et supprimer des programmes de Yast2.

Il se trouve dans "Bouton Démarrer" -> Système -> Plus de Programmes -> Synaptic

ou pour les versions les plus récentes dans "Bouton Démarrer" -> Système -> Configuration -> Gestion de paquets Synaptic.

[*]Divers :

  • La différence entre upgrade et dist-upgrade ?
    La différence est assez simple de compréhension.
    La commande upgrade permet de faire la mise à jour des packages déjà présents dans le système.
    La commande dist-upgrade comme la commande upgrade, elle effectue la mise à jour du système sauf qu'elle évolue votre distribution. Cette commande peut-être utilise pour passé d'une version à l'autre d'un système (ex: SuSE 8.2 à SuSE 9).
  • Mise à jour de votre liste :
    Il est impératif de faire une mise à jour régulière de la "source.list". En effet, le serveur où se trouve les fichiers RPMs évoluent de jour en jour, de nouveaux répertoires apparaissent et autre disparaissent. De même que les fichiers RPMs, que les dernières versions sont conservées.
    Alors, avant de faire un "apt-get update" mettait à jour votre "source.list".
  • Problème de dépendance :
    Elles sont très fréquentes quand l'on effectue régulièrement des mises à jour. Mais c'est une preuve que votre système est bien entretenu.
    La dépendance la plus régulière quand on effectue le passage de KDE 3.2.1 à KDE 3.3 est celle du package "kdeutils3", bien sûr cela n'est qu'un exemple. La solution pour pouvoir continuer de faire la mise à jour c'est de supprimer ce package en effectuent simple un : "apt-get remove kdeutils3".
    En suite, quand la mise à jour sera terminée vous pouvez le réinstaller en effectuent un : "apt-get install kdeutils3".
  • Synaptic "erreur gksu" :
    "gksu" n'existe plus avec KDE 3.3 donc la manipulation est la suivante, bien vous pouvez aussi modifier le menu :
    • Menu SuSE
    • Exécuter une commande
    • Options
    • Exécuter sous un autre nom d'utilisateur : root + password
    • Commande : synaptic
    • Exécuter

    [*]J'ai une erreur "warning: user richard does not exist - using root" :

    La solution est très simple : vous n'êtes pas en mode Super Utilisateur :D

    [*]Petit script très utile de lucienmathieu :

    wget -O /etc/apt/sources.list http://ftp.gwdg.de/pub/linux/suse/apt/SuSE...ources.list.FTP

    apt-get update

    apt-get upgrade -y

Par : X-Guardian adapté pour le forum par Galagann

Share this post


Link to post
Share on other sites

galagann, c'est à insérer en premiere page dans le topic de Xguardian ??? Si oui, dis moi ou, je le ferai en éditant son post.

Share this post


Link to post
Share on other sites

Ouais, une belle petite mise a jour ca serait cool; un beau tuto qui servirait de référence sur Suse. C'est pour ca que ce que tu viens de rajouter doit se trouver sur la premiere page, et en tant que modo je peux éditer tous vos posts, donc je pourrais vous aider à incruster du texte si vous en avez le besoin.

Share this post


Link to post
Share on other sites

En passant je signale qu'il y actuelment une distribution SUSE 9.1 (FTP version)

dans le magazine linux CD . C un DVD. Numéro de septembre octobre.

http://www.dppresse.com

G juste eu un probleme de boot et actuellement un problème de reconnaissance

modem mais sinon c bien !

Share this post


Link to post
Share on other sites

hum Je suis complétement nouveau, et j'y comprend que dal.

ça fait 3 jours que j'lutte pour trouver pk suse ne veut ps compiler mes programmes.

Visiblement il manque le automake, le autoconf et un autre truc bidule chose.

Mais le truc c que j'ai aucun repére, c ma premiére distrib, et j'y comprend rien à rien, surtout au niveau de l'installation du automake etc...

Donc si quelqu'un pouvait m'aider pour l'installation de ces machins , j'lui en serais vraiment reconnaissant.

Merci d'avance...

Share this post


Link to post
Share on other sites

Salut,

Tu as surement la version perso en 1 CD. Elle ne contient pas du tout ce qu'il faut pour compiler.

(make, gcc, ...).

Je te fais un copier/coller d'un des tutos de Galagann :

Suse mets depuis peu à disposition une image ISO de la nouvelle version de son OS Linux très simple d'accès et très fiable.

Le CD permet d'avoir un système complètement fonctionnel, mais il y a certaine limitation : le nombre de programme est logiquement restreint, et parmi les manquants/utiles, il y a l'internationalisation pour KDE... (Le système est majoritairement en français, mais pas KDE, Koffice, ni OpenOffice.org par exemples).

Comment l’installer :

1. Récupérer l'image ISO de la Suse 9.1 Personal sur : http://linuxiso.org/download.php/593/SUSE-...ersonal-x86.iso

2. Graver l'image ISO avec Nero Burning ROM, par exemple.

3. Après la gravure du CD-ROM d’installation, laissé le CD dans le graveur ou inséré le dans un autre lecteur et redémarrer l’ordinateur. Vérifier que votre BIOS boot sur le CD-ROM afin que l’installation commence.

Un premier menu apparaît au démarrage photo.gif du CD-ROM avec plusieurs choix photo.gif, configurer la langue photo.gif et la résolution photo.gif puis sélectionner Installation photo.gif.

Après la sélection, l'installation de la Suse est tellement simple qu'il n'est pas la peine de s'étendre dessus, les choix proposés par défaut sont très bien, il faut juste regarder si la proposition de partitionnaient convient (la Suse peut redimensionner votre partition NTFS pour faire de la place s’il n'y en a pas (il est cependant préférable de défragmenter votre partition NTFS au préalable)).

Pour modifier les choix par défaut il suffit de cliquer sur la section ad-hoc.

L'installation ne devrait pas poser de soucis, tout y est très explicite et simple.

4. Une fois votre système installé et configuré (là encore, les assistants devraient faire le travail pour vous), il est temps de "franciser" KDE en installant le RPM de « kde-i18n-fr », malheureusement absent du CD-ROM.

Il va donc falloir ajouter une nouvelle source d'installation, il y a déjà le CD d'installation (qui sera maintenant inutile), nous rajouterons un « mirroir » du serveur FTP de la Suse.

Puis, il va falloir installer ce fameux RPM, et là, magique vous aurez un KDE parlant la même langue que vous.

L'outil (formidable) qui va nous permettre d'effectuer, ces opérations par le célèbre et décrié YaST2 (Yet Another Setup Tool 2). Il se situe dans le menu de KDE (mettez votre doigt dans l'oeil du caméléon pour le faire apparaître ou tapez Alt+F1 ) dans le sous-menu Système.

5. Il faut ensuite donner le mot de passe « root » (administrateur) qui a été choisi pendant l'installation.

* Une fois YaST2 lancée, il faut choisir la rubrique « Changer le support d'installation » de l'onglet Logiciels (onglet actif par défaut au lancement de YaST2).

* Afin de ne pas surcharger le serveur FTP principal (ftp.suse.com), nous allons choisir un mirroir, la liste (relativement pauvre pour la France) est disponible ici : http://www.suse.de/en/private/download/ftp/int_mirrors.html

Pour cet exemple, je vair prendre le serveur HTTP : « fr2.rpmfind.net », qui est un mirroir complet du serveur FTP principal. Le répertoire de ce serveur qui nous intéresse pour une machine standard (x86) est « linux/SuSE-Linux/i386/9.1/ ».

* Il faut donc faire choisir add puis HTTP et renseigner les informations.

* Une fois l'ajout de cette nouvelle source effectué, il n'est plus vraiment utile/pratique de conserver le CD comme source d'installation, il est donc possible de la désactiver et de passer le serveur FTP en première source d'installation (up).

Il est également possible d'ajouter des sources supplémentaires, il y en a plusieurs disponibles sur le serveur FTP de Suse dans le répertoire supplémentaire :

* ftp://ftp.suse.com/pub/suse/i386/supplementary. Pour pouvoir ajouter une source d'installation dans YaST2, il faut que le répertoire contienne une structure bien précise (un fichier directory.yast, ...)

Il est donc possible d'ajouter par exemple :

o des applications supplémentaires pour KDE : ftp://ftp.suse.com/pub/suse/i386/suppleme....1/yast-source/

o des applications supplémentaires : ftp://ftp.suse.com/pub/suse/i386/suppleme....1/yast-source/

o des applications supplémentaires pour GNOME : ftp://ftp.suse.com/pub/suse/i386/suppleme...9.1/yast-source

D'autres RPM (par exemple firefox et thunderbird) sont disponibles dans ftp://ftp.suse.com/pub/projects/

Il existe également des RPM non officiels (par exemple un mplayer non bridé) sur le site de packman http://packman.links2linux.org/?action=index

Il est aussi possible d'intégrer packman dans YaST2 : http://packman.iu-bremen.de/suse/9.1/

Dans le même genre que packman, il y a le site Guru's RPM http://guru.linuxbe.org/index.php, qui contient par exemple des versions récentes de GAIM.

6. Il faut ensuite retourner à l'écran principal de YaST2 et choisir la rubrique « Installer et Supprimer des Logiciels » de l'onglet Logiciels.

YaST2 va ensuite récupérer la liste des paquets « RPMs » disponibles (opération plus ou moins longue).

7. Une fois la liste récupérée, on arrive sur l'écran de sélection des paquetages.

Il suffit maintenant de faire une recherche sur « i18n-fr » et de sélectionner « kde3-i18n-fr » et « koffice-i18n-fr », puis de faire une recherche sur « openoffice » et de sélectionner « OpenOffice_org-fr ».

8. Si on sélectionne le filtre « Installtion Summary », les 3 paquets doivent apparaître (si ce n'est pas le cas, c'est que la liste n'a pas été réellement récupérée, donc quittez YaST2 et relancez-le puis retournez dans la rubrique Installer et supprimez des Logiciels de l'onglet Logiciels)

9. Ensuite, après avoir coché la case « Autocheck », il suffit de cliquer « Accept », faire continue à la sélection des dépendances si besoin est, et les RPMs seront téléchargés et installés.

10. Pour que KDE soit entièrement en français, il est nécessaire de le relancer, pour OpenOffice il faut voir dans son menu de configuration.

Ainsi tu disposeras de nombreux paquets supllémentaires dont ce qu'il faut pour compiler.

En espérent que cela répondra à tes attentes :byebye:

Guile.

Share this post


Link to post
Share on other sites

Merci, ça marche impeck, j'arrive enfin à compiler (enfin à moitié ), mais j'ai un autre problème quand j'essaye de mettre un autre rpm, yast me dis que j'peux pas, car il faut que je redémarre d'abord le system pour activer le nouveau kernel.

J'ai donc redémarrer le pc et il me redit la meme chose.

J'en déduis que c'est pas comme un windows; où il suffit de redémarre le px donc serait il possible de savoir comment faire svp.

PS : J'ai un autre problème milles fois plus chiant qui me fait pété un cable, dés que je fais le malheur quand j'tappe quelque chose de mettre un accent circonflexe, ma fenetre de konqueror plante directement ( c la 6éme que j'tappe ce message )

Share this post


Link to post
Share on other sites

Salut,

Tu pourrais me donner les détails de ta config ?

Sinon, une fois le nouveau noyau installé, un simple reboot sur ce nouveau noyau, et c'est bon.

Apparement, tu ne rebootes pas sur le bon noyau.

Si tu utilises You, demandes lui de t'installer le noyau. Il va faire les liens dans ton système et configurer le bootloader (lilo ou grub). Ensuite tu n'auras plus qu'à redémarrer. (Tu lances YOU

Pour les accents, ben, je ne sais pas quoi te dire, juste que je n'ai aucun problème de ce coté là.

J'ai la version 3.3.1 de KDE. Mais j'utilise plutôt firrefox pour naviguer. Que ce soit sous FireFox ou Konqueror, je peux très bien faire cela : ê, sans problème.

Plus tard essayes de voir pour installer apt4rpm. Tu auras accès à plus de paquets, en attendant que les développeurs de paquets externes à la SuSE, permettent à Yast de se connecter.

Share this post


Link to post
Share on other sites

euh , g un P4C 2Ghz4 , avec une ATI 2600 ( 512 de Ram ), une barrette de memoire de 512 pc 3200, 6 disque durs, un carte mere P4C800 , un vieux clavier trouver dans une poubelle ( j'avais plus de tune ).

hum , ben justement c lequel donc le bon noyau et surtout comment on fait, car le reboot du Pc n'a ps l'air de suffir.

Ps : pk sur le reste du Tuto c'est marque reserved ?

Share this post


Link to post
Share on other sites

Ps : pk sur le reste du Tuto c'est marque reserved ?

C'est pour que les auteurs du topic puissent rajouter a la suite s'ils ont besoin.

Share this post


Link to post
Share on other sites

Je l'ai installé et je la trouve po mal ...

Par contre, quelqu'un a testé le bi-écran avec une ATI 9600 XT ?

Share this post


Link to post
Share on other sites

moi j'ai une ati 9600 avec 512 de ram et il m'est impossible de la configurer :transpi:

donc le bi ecran ne fait ps trop partit de mes prioriter

Share this post


Link to post
Share on other sites

suse92first.png

Voici mon installation de la SuSE 9.2 Pro en CD :

Lors de l’installation, on peut déjà apercevoir que de nouvelles langues sont disponibles avec la touche F4, mais aussi un nouveau design et un nouveau menu : Installation Manuelle.

Je fais le choix de l’installation classique. Le chargement du noyau est plus rapide et la détection du matériel se fait déjà après ce chargement. La touche F2 comme toujours permet de voir en mode texte ce que fait l’ordinateur. Delà on peut voir que le programme d’installation est à la version 1.1.7. Le chargement finit, un écran noir avec le curseur de la souris apparaît, je peux remarqué que mon Touchpad et ma souris USB sont déjà opérationnelle.

Nous voilà dans l’installation !!! Le premier menu confirme la langue, il ne change pas trop par rapport à la SuSE 9.1, sauf quelque langue supplémentaire. Le second détecte et met en forme l’installation de base. Puis, une pop up vous propose plusieurs choix : nouvelle installation, mise à jour, réparation et amorcer ou encore quitter l’installation.

Donc, pour moi, c’est nouvelle installation et afin de me simplifier la vie, je vérifie juste se que me propose le programme d’installation. En effet, je préfère installer mes programmes au fur et à mesure. Le type d’amorçage par défaut et Grub, parfait j’ai un portable.

Tiens, un messages de confirmation de licence pour le plug-in Flash quand on clique Accepter et un autre quand on accepte la licence, mais celui-là est plus intéressant, car c’est la confirmation de l’installation ^^.

Début de l’installation, 10h35 et 1,63 giga-octet à installer. Dans un premier temps, on peut apercevoir pour les personnes qui font, l’installation avec les CD, une barre verticale pour la progression des CD et l’avancement de l’installation.

On peut, déjà regretter qu’ils n’ont même pas pris le temps de traduire les textes de présentation (PS : le temps d’installation approximative avec mon portable 32 bits est de 36 minutes). Dans le bas de l’écran, un second décompte, qui indique le temps où l’on doit insérer le prochain CD. D’autre par, il y a un second onglé « Détails », celui-ci donne comme l’indique son nom, le détail sur l’installation.

À la fin de l’installation de base (CD1), il y a une précompilation et une configuration des packages, puis l’ordinateur redémarre.

Par intuition, je laisse de CD1 dans le lecteur CD-ROM puis, arrive au boot, il démarre le CD et je choisis de démarrer sur le Disque dur. Et là, stupéfait Grub est déjà installer, de là, je choisie de lancer la SuSE.

Initiation du hardware, bon signe ! Je fais un F2 pour voir, il est entrain de tout lancer, aucune erreur. Comme toujours, un écran noir, puis un curseur de souris. Il me demande d’insérer le CD2, vas y mange ^^. À cette étape il me reste 902,65 méga-octets. Encore un bug, le menu de présentation n’est pas là, menu par défaut « Détails ».

Arzo !!! Je viens de comprendre le pourquoi du redémarrage, le premier CD contient l’installation minimum et les quatre autres des packages, dis « diverse ».

11h07, c’est la fin de l’installation des packages, nous voilà au mot de passe root. J’ai toujours la boîte de dialogue qui me dit que mon mot de passe est tout en minuscule ^^. Puis, on arrive à la configuration du réseau et Internet. Chez moi, pas trop de problème c’est un réseau en DCHP, donc je clique simple sur changer l’interface réseau et je rentre mes IP et mon nom de domaine, puis je m’assure que le changement du nom de l’hôte par DHCP est décocher. On peut, aussi apercevoir que le Firewall est activé automatiquement et que le SSH lui est désactivé. Suivant, enregistrement des paramètres réseau et démarrage du pare-feu puis nous voilà au teste de la connexion Internet qui pour moi est un succès ^^.

Yast, ayant vu que la connexion au Net était présente me propose de faire la mise à jour des packages, soyons fou !!! Dans YOU, on peut voir qu’à l’heure actuelle il y a très peu de mise à jour, 7 exactement.

Après les mises à jour, nous voilà dans la configuration des utilisateurs. Pour la méthode d’authentification, je choisis toujours « Local » et ensuite je configure mon utilisateur, moi !

Tiens, ensuite SuSE fait le nettoyage, c’est cool ! On approche de la fin, quelques note explicative et configuration des périphériques. Ici, Yast essaye de faire une détection de la Carte graphique, imprimante, son, carte TV et le petit nouveau Bluetooth, je vais pas m’attarder sur ce menu, car je suis très pressé de voir la fin ^^.

Super, je suis félicité pour mon installation et le démarrage de SuSE continu avec le lancement de KDE 3.3 qui est par défaut.

Merci Novell et SuSE pour ce système (Fin à 11h30).

Share this post


Link to post
Share on other sites
moi j'ai une ati 9600 avec 512 de ram et il m'est impossible de la configurer :D

donc le bi ecran ne fait ps trop partit de mes prioriter

Moi si, si je peux po exploiter mon matos, je n'ai aucun intéret à passer à ce système...

Je vais faire l'install des pilotes demain si j'ai le temps... vous tiens au courant...

Share this post


Link to post
Share on other sites

j'ai pas tout lu (sauf première page)

pq ne pas directement utiliser la version pro avec une install ftp ?? :eeek2:

c'est ce que j'utilise, et c'est hyper simple à installer ...

Autre détail, pq utiliser apt4rpm alors qu'il suffit de donner l'URL d'un miroir ftp comme source d'install et de tout installer via Yast quand on a installé le version perso (ai fait ça sur la machine de ma copine) ??

Sans vouloir etre méchant, je trouve la procédure "version perso + apt4rpm" un peu bricolo et compliquée (pour des novices) à coté d'une install directe en "professional" via ftp :chinois:

Edit : je parle bien entendu pour ceux qui n'ont pas la version CD/DVD originale

PS : SuSE 9.2 pro disponible en ftp à partir du 10 janvier 2005 (en théorie)

Edit 2 : j'ai lu le reste, et je comprends toujours pas pourquoi utiliser apt4rpm et démarrer avec la version "perso" ... suffit d'une image de 20 Mo pour démarrer l'install "pro" en ftp ... et cela depuis pas mal de temps ... ai déja installé une 8.1 comme ça ...

Share this post


Link to post
Share on other sites

Déjà je te confirme la date de sortie de la SuSE 9.2 en FTP, j'en ai une news mais elle n'est pas encore valider : http://www.alionet.org/index.php?showtopic=1381

En ce qui concerne APT4RPM et Yast2, il y a une gros différence.

Avec Yast : tu ajoutes manuellement les serveurs que tu veux pour avoir les mises à jours.

Avec APT4RPM : tu as un serveur avec tout plein de répertoire qui contiennent des RPMs qui serviront à la mise à jour de ton système. Soit tu fais une mise à jour banale avec la commande apt-get upgarde, soit tu fais une mise à jour distribution avec évolution avec la commande apt-get dist-upgrade.

http://www.alionet.org/index.php?showforum=9

Share this post


Link to post
Share on other sites
Déjà je te confirme la date de sortie de la SuSE 9.2 en FTP, j'en ai une news mais elle n'est pas encore valider : http://www.alionet.org/index.php?showtopic=1381

En ce qui concerne APT4RPM et Yast2, il y a une gros différence.

Avec Yast : tu ajoutes manuellement les serveurs que tu veux pour avoir les mises à jours.

Avec APT4RPM : tu as un serveur avec tout plein de répertoire qui contiennent des RPMs qui serviront à la mise à jour de ton système. Soit tu fais une mise à jour banale avec la commande apt-get upgarde, soit tu fais une mise à jour distribution avec évolution avec la commande apt-get dist-upgrade.

http://www.alionet.org/index.php?showforum=9

euh oui, mais bof ...

1. tu peux faire une mise à jour/upgrade de distro avec yast ... c'est pas compliqué. OK, c'est pas en ligne de commande, mais faut pas pousser ...

2. je pige toujours pas l'intéret "personel" + upgrade face à "ftp pro" directement

je dois dire que apt4rpm me laisse toujours aussi perplexe, je vais explorer le site en question pour y voir plus clair

Edit :

Je viens de lire rapidement, et je vois +- l'intéret et la simplicité de certaines opérations, mais je signale quand meme que tout cela est réalisable par Yast ... meme si ce n'est pas forcément évident. Faudra que j'approfondisse la question, mais pas tout de suite, vu le réveillon :transpi:

Autre chose : chacun son point de vue, mais je préfère une install propre à un upgrade de l'OS (pas un update), ça évite les blagues ... et pour peu que l'on soit assez structuré avec ses données, une nouvelle intsall n'est pas très longue à configurer/paufinner ...

Ensuite, tout les packages ne sont pas des rpm, les tar.gz acceptent mal les upgrades, surtout quand on en a installé pas mal : un upgrade de l'OS flingue pas mal de dépendence

PPS : pour la sortie de la 9.2, c'est sur leur site ftp, faut lire le README dans le répertoire d'install de la 9.2

Share this post


Link to post
Share on other sites

bon je viens de découvrir l'apt , j'ai installer les all-w32-install ( enfin le truc pour les codecs ) mais j'arrive tj ps à lire les Xvid donc il c'est pas vrai il est pas complet ?

que me manque t'il ?

sinon il y a t'il une commande pour voir la liste des package que j'ai installé car sous debian il me suffisait de tapper :

dkpg -la | grep '^ii' | cut -d ' ' -f3

mais sous suse cette commande n'existe pas , donc comment dois-je m'y prendre ?

Share this post


Link to post
Share on other sites

×
×
  • Create New...